<?php 
Kirki::add_config( 'anews_theme_config', array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

Kirki::add_section( 'anews_header_top_section', array(
    'title'          => esc_html__( 'Header Top Section', 'anews' ),
    'description'    => esc_html__( 'Add Content ON header Top section', 'anews' ),
    'priority'       => 10,
) );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_header_top_show',
	'label'       => esc_html__( 'Enable Top Header', 'anews' ),
	'section'     => 'anews_header_top_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_header_tophr0',
	'section'     => 'anews_header_top_section',
	'default'     => '<hr>',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'checkbox',
	'settings'    => 'anews_header_top_menu',
	'label'       => esc_html__( 'Header Top Menu', 'anews' ),
	'description' => esc_html__( 'Enable Header Top menu', 'anews' ),
	'section'     => 'anews_header_top_section',
	'default'     => true,
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_header_tophr1',
	'section'     => 'anews_header_top_section',
	'default'     => '<hr>',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_header_top_email',
    'label'    => esc_html__( 'Add Email', 'anews' ),
	'section'  => 'anews_header_top_section',
    'default'   => esc_html__( 'demo@demo.com', 'anews' ),
    'transport'   => 'postMessage',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_header_tophr2',
	'section'     => 'anews_header_top_section',
	'default'     => '<hr>',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_header_top_phone',
    'label'    => esc_html__( 'Add Mobiel Number', 'anews' ),
	'section'  => 'anews_header_top_section',
    'default'     => esc_html__( '+99 123 456 78', 'anews' ),
    'transport'   => 'postMessage',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_header_tophr3',
	'section'     => 'anews_header_top_section',
	'default'     => '<hr>',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_header_top_socil_text',
    'label'    => esc_html__( 'Social Label', 'anews' ),
	'section'  => 'anews_header_top_section',
    'default'     =>  esc_html__( 'Follow', 'anews' ),
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_header_top_fb',
	'label'    => __( 'Facebook', 'anews' ),
	'section'  => 'anews_header_top_section',
	'default'  => '#',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_header_top_tw',
	'label'    => __( 'Twitter', 'anews' ),
	'section'  => 'anews_header_top_section',
	'default'  => '#',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_header_top_linkedin',
	'label'    => __( 'linkedin', 'anews' ),
	'section'  => 'anews_header_top_section',
	'default'  => '#',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_header_top_ins',
	'label'    => __( 'Instagram', 'anews' ),
	'section'  => 'anews_header_top_section',
	'default'  => '#',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'color',
	'settings'    => 'anews_header_top_bg',
	'label'       => __( 'Header Top Background', 'anews' ),
	'description' => esc_html__( 'Add Header Top Background Color', 'anews' ),
	'section'     => 'anews_header_top_section',
	'default'     => '#f6f6f6',
	'choices'     => [
		'alpha' => true,
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'color',
	'settings'    => 'anews_header_top_c',
	'label'       => __( 'Header Top Color', 'anews' ),
	'description' => esc_html__( 'Add Header Top text Color', 'anews' ),
	'section'     => 'anews_header_top_section',
	'default'     => '#1d2c38',
	'choices'     => [
		'alpha' => true,
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'color',
	'settings'    => 'anews_header_top_hc',
	'label'       => __( 'Header Top Hover Color', 'anews' ),
	'description' => esc_html__( 'Add Header Top Hover Color', 'anews' ),
	'section'     => 'anews_header_top_section',
	'default'     => '#fb2614',
	'choices'     => [
		'alpha' => true,
	],
] );
Kirki::add_panel( 'anews_homepage_panel', array(
    'priority'    => 20,
    'title'       => esc_html__( 'Home Page Options', 'anews' ),
    'description' => esc_html__( 'Add Content for Home page', 'anews' ),
) );

Kirki::add_section( 'anews_home_braking_section', array(
    'title'          => esc_html__( 'Braking News', 'anews' ),
    'description'    => esc_html__( 'Select Braking News Settings', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_braking_news_enalbe',
	'label'       => esc_html__( 'Enable Braking News', 'anews' ),
	'section'     => 'anews_home_braking_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );

// TRANDING POST SECTION

Kirki::add_section( 'anews_home_tranding_post_section', array(
    'title'          => esc_html__( 'Tranding Post', 'anews' ),
    'description'    => esc_html__( 'Add Tradning Post Options Here', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_tranding_post_enalbe',
	'label'       => esc_html__( 'Enable Tranding Post', 'anews' ),
	'section'     => 'anews_home_tranding_post_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'Checkbox',
	'settings'    => 'anews_home_td_show',
	'label'       => esc_html__( 'Post By Category', 'anews' ),
	'description'    => esc_html__( 'Select Check box if you show post by category', 'anews' ),
	'section'     => 'anews_home_tranding_post_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_tranding_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_tranding_cat',
	'label'       => esc_html__( 'Select Category', 'anews' ),
	'section'     => 'anews_home_tranding_post_section',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'multiple'    => 2,
	'choices'     => Kirki_Helper::get_terms( 'category' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_tranding_post_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_td_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_tranding_post_order',
	'label'       => esc_html__( 'Order By', 'anews' ),
	'section'     => 'anews_home_tranding_post_section',
	'default'     => 'DESE',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'choices'     => [
		'ASC'  => esc_html__( 'ASC', 'anews' ),
        'DESE' => esc_html__( 'DESE', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_td_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
    'type'        => 'multicolor',
    'settings'    => 'anews_tranding_post_cat_c',
    'label'       => esc_html__( 'Category Button', 'anews' ),
    'section'     => 'anews_home_tranding_post_section',
    'priority'    => 10,
	'transport'   => 'postMessage',
    'choices'     => [
        'bg'    => esc_html__( 'Background', 'anews' ),
        'hoverbg'   => esc_html__( 'Hover Background', 'anews' ),
        'text'  => esc_html__( 'Text Color', 'anews' ),
        'hovertext'  => esc_html__( 'Hover Text Color', 'anews' ),
    ],
    'default'     => [
        'bg'    => '#fb2614',
        'hoverbg'   => '#1d2c38',
        'text'  => '#ffffff',
        'hovertext'  => '#ffffff',
    ],
	'active_callback' => [
		[
			'setting'  => 'anews_home_tranding_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

// TOP HEADLINE SECTION
Kirki::add_section( 'anews_home_top_headline_post_section', array(
    'title'          => esc_html__( 'Top Headline Post', 'anews' ),
    'description'    => esc_html__( 'Add Headline Post Options Here', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_top_headline_post_enalbe',
	'label'       => esc_html__( 'Enable Tranding Post', 'anews' ),
	'section'     => 'anews_home_top_headline_post_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_top_headline_text',
    'label'    => esc_html__( 'Section Title', 'anews' ),
	'description'    => esc_html__( 'Add Headline Section Title Here', 'anews' ),
	'section'  => 'anews_home_top_headline_post_section',
    'default'     => esc_html__( 'Top Headline', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_top_headline_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'Checkbox',
	'settings'    => 'anews_home_thl_show',
	'label'       => esc_html__( 'Post By Category', 'anews' ),
	'description'    => esc_html__( 'Select Check box if you show post by category', 'anews' ),
	'section'     => 'anews_home_top_headline_post_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_top_headline_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_top_headline_cat',
	'label'       => esc_html__( 'Select Category', 'anews' ),
	'section'     => 'anews_home_top_headline_post_section',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'multiple'    => 2,
	'choices'     => Kirki_Helper::get_terms( 'category' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_top_headline_post_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_thl_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'checkbox',
	'settings'    => 'anews_home_top_headline_show_readmore',
	'label'       => esc_html__( 'Enable Read More', 'anews' ),
	'description' => esc_html__( 'Enable Top Head Line Read more Button Here', 'anews' ),
	'section'     => 'anews_home_top_headline_post_section',
	'default'     => true,
	'active_callback' => [
		[
			'setting'  => 'anews_home_top_headline_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_top_headline_post_order',
	'label'       => esc_html__( 'Order By', 'anews' ),
	'section'     => 'anews_home_top_headline_post_section',
	'default'     => 'ASC',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'ASC'  => esc_html__( 'ASC', 'anews' ),
        'DESE' => esc_html__( 'DESE', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_top_headline_post_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_thl_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_home_top_headline_readmore',
	'label'    => __( 'Read More link', 'anews' ),
	'section'  => 'anews_home_top_headline_post_section',
	'default'  => '#',
	'transport'   => 'postMessage',
	'active_callback' => [
		[
			'setting'  => 'anews_home_top_headline_post_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_top_headline_show_readmore',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

// POST SLIDER WITH FEATURED SECTION
Kirki::add_section( 'anews_home_slider_section', array(
    'title'          => esc_html__( 'Slider with Featured Post', 'anews' ),
    'description'    => esc_html__( 'Add Slider with Featured Post Options Here', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_slider_post_enalbe',
	'label'       => esc_html__( 'Enable Slider Post Section', 'anews' ),
	'section'     => 'anews_home_slider_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'Checkbox',
	'settings'    => 'anews_home_slider_show',
	'label'       => esc_html__( 'Post By Category', 'anews' ),
	'description'    => esc_html__( 'Select Check box if you show post by category', 'anews' ),
	'section'     => 'anews_home_slider_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_slider_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_slider_post_title',
    'label'    => esc_html__( 'Slider Post Title', 'anews' ),
	'description'    => esc_html__( 'Add Slider Post Title Here', 'anews' ),
	'section'  => 'anews_home_slider_section',
    'default'     => esc_html__( 'Post Slide', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_slider_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_slider_cat',
	'label'       => esc_html__( 'Select Category', 'anews' ),
	'section'     => 'anews_home_slider_section',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'multiple'    => 2,
	'choices'     => Kirki_Helper::get_terms( 'category' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_slider_post_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_slider_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_slider_order',
	'label'       => esc_html__( 'Order By', 'anews' ),
	'section'     => 'anews_home_slider_section',
	'default'     => 'ASC',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'ASC'  => esc_html__( 'ASC', 'anews' ),
        'DESE' => esc_html__( 'DESE', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_slider_post_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_slider_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_header_tophr5',
	'section'     => 'anews_home_slider_section',
	'default'     => '<hr>',
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_featured_post_title',
    'label'    => esc_html__( 'Featured Post Title', 'anews' ),
	'description'    => esc_html__( 'Add Featured Post Title Here', 'anews' ),
	'section'  => 'anews_home_slider_section',
    'default'     => esc_html__( 'Featured Post', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_slider_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_feature_id',
	'label'       => esc_html__( 'Select Post', 'anews' ),
	'section'     => 'anews_home_slider_section',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'multiple'    => 2,
	'choices'  => Kirki_Helper::get_posts(
		array(
			'posts_per_page' => 100,
			'post_type'      => 'post'
		)
	),
	'active_callback' => [
		[
			'setting'  => 'anews_home_slider_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'checkbox',
	'settings'    => 'anews_home_featured_show_readmore',
	'label'       => esc_html__( 'Enable Read More', 'anews' ),
	'description' => esc_html__( 'Enable Read more Button for featured Post', 'anews' ),
	'section'     => 'anews_home_slider_section',
	'default'     => true,
	'active_callback' => [
		[
			'setting'  => 'anews_home_slider_post_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_home_featured_readmore',
	'label'    => __( 'Read More link', 'anews' ),
	'section'  => 'anews_home_slider_section',
	'default'  => '#',
	'active_callback' => [
		[
			'setting'  => 'anews_home_slider_post_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_featured_show_readmore',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

// Advertisement SECTION
Kirki::add_section( 'anews_home_ads1_section', array(
    'title'          => esc_html__( 'Advertisement One', 'anews' ),
    'description'    => esc_html__( 'Add Content For Advertisement Section', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_ads1_enable',
	'label'       => esc_html__( 'Enable Ads Section', 'anews' ),
	'section'     => 'anews_home_ads1_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_ads1_select',
	'label'       => esc_html__( 'Select Ads Options', 'anews' ),
	'section'     => 'anews_home_ads1_section',
	'default'     => 'link',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'link' => esc_html__( 'Ads Link', 'anews' ),
		'code' => esc_html__( 'Ads Code', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_ads1_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'image',
	'settings'    => 'anews_home_ads1_img',
	'label'       => esc_html__( 'Upload Image', 'anews' ),
	'description' => esc_html__( 'Upload image for Ads Banner Here.', 'anews' ),
	'section'     => 'anews_home_ads1_section',
	'default'     => '',
	'active_callback' => [
		[
			'setting'  => 'anews_home_ads1_enable',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_ads1_select',
			'operator' => '==',
			'value'    => 'link',
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_home_ads1_link',
	'label'    => esc_html__( 'Ads URL', 'anews' ),
	'section'  => 'anews_home_ads1_section',
	'default'  => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_home_ads1_enable',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_ads1_select',
			'operator' => '==',
			'value'    => 'link',
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'code',
	'settings'    => 'anews_home_ads1_code',
	'label'       => esc_html__( 'Ads Code', 'anews' ),
	'description' => esc_html__( 'Add Ads Code Here', 'anews' ),
	'section'     => 'anews_home_ads1_section',
	'default'     => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_home_ads1_enable',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_ads1_select',
			'operator' => '==',
			'value'    => 'code',
		]
	],
] );

// MOST VIEW WITH RECENT
Kirki::add_section( 'anews_home_most_view_section', array(
    'title'          => esc_html__( 'Most View with Recent', 'anews' ),
    'description'    => esc_html__( 'Add Most View and Recent Post Options Here', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_most_view_enalbe',
	'label'       => esc_html__( 'Enable This Section Post', 'anews' ),
	'section'     => 'anews_home_most_view_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_most_view_Title',
    'label'    => esc_html__( 'Most View Title', 'anews' ),
	'description'    => esc_html__( 'Add Most View Title Here', 'anews' ),
	'section'  => 'anews_home_most_view_section',
    'default'     => esc_html__( 'Most View', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'Checkbox',
	'settings'    => 'anews_home_mvc_show',
	'label'       => esc_html__( 'Post By Category', 'anews' ),
	'description'    => esc_html__( 'Select Check box if you show post by category', 'anews' ),
	'section'     => 'anews_home_most_view_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_most_view_cat',
	'label'       => esc_html__( 'Select Category', 'anews' ),
	'section'     => 'anews_home_most_view_section',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'multiple'    => 2,
	'choices'     => Kirki_Helper::get_terms( 'category' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_mvc_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_most_view_order',
	'label'       => esc_html__( 'Order By', 'anews' ),
	'section'     => 'anews_home_most_view_section',
	'default'     => 'ASC',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'ASC'  => esc_html__( 'ASC', 'anews' ),
        'DESE' => esc_html__( 'DESE', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_mvc_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_header_tophr6',
	'section'     => 'anews_home_most_view_section',
	'default'     => '<hr>',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_most_recent_Title',
    'label'    => esc_html__( 'Recent Post Title', 'anews' ),
	'description'    => esc_html__( 'Add Recent Post Title Here', 'anews' ),
	'section'  => 'anews_home_most_view_section',
    'default'     => esc_html__( 'Recent Post', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'Checkbox',
	'settings'    => 'anews_home_mtr_show',
	'label'       => esc_html__( 'Post By Category', 'anews' ),
	'description'    => esc_html__( 'Select Check box if you show post by category', 'anews' ),
	'section'     => 'anews_home_most_view_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_most_recent_cat',
	'label'       => esc_html__( 'Select Category', 'anews' ),
	'section'     => 'anews_home_most_view_section',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'multiple'    => 2,
	'choices'     => Kirki_Helper::get_terms( 'category' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_mtr_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_most_recent_order',
	'label'       => esc_html__( 'Order By', 'anews' ),
	'section'     => 'anews_home_most_view_section',
	'default'     => 'ASC',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'ASC'  => esc_html__( 'ASC', 'anews' ),
        'DESE' => esc_html__( 'DESE', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_mtr_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'checkbox',
	'settings'    => 'anews_home_most_recent_btn_shw',
	'label'       => esc_html__( 'Enable Read More', 'anews' ),
	'description' => esc_html__( 'Enable Read more Button for Recent Post Here', 'anews' ),
	'section'     => 'anews_home_most_view_section',
	'default'     => true,
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_home_most_recent_btn_link',
	'label'    => __( 'Read More link', 'anews' ),
	'section'  => 'anews_home_most_view_section',
	'default'  => '#',
	'active_callback' => [
		[
			'setting'  => 'anews_home_most_view_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_most_recent_btn_shw',
			'operator' => '==',
			'value'    => true,
		]
	],
] );


// CATEGORY SECTION
Kirki::add_section( 'anews_home_category_section', array(
    'title'          => esc_html__( 'Post Category Section', 'anews' ),
    'description'    => esc_html__( 'Add Post Category Options Here', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_categroy_enalbe',
	'label'       => esc_html__( 'Enable This Section Post', 'anews' ),
	'section'     => 'anews_home_category_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_categroy_title',
    'label'    => esc_html__( 'Section Title', 'anews' ),
	'description'    => esc_html__( 'Add Categroy Title Here', 'anews' ),
	'section'  => 'anews_home_category_section',
    'default'     => esc_html__( 'Categoris', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_categroy_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'Checkbox',
	'settings'    => 'anews_home_scat_show',
	'label'       => esc_html__( 'Select Specific Category', 'anews' ),
	'description'    => esc_html__( 'Select Check box if you show Post by specific Category', 'anews' ),
	'section'     => 'anews_home_category_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_categroy_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_scat_select',
	'label'       => esc_html__( 'Select Category', 'anews' ),
	'section'     => 'anews_home_category_section',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'multiple'    => 5,
	'choices'     => Kirki_Helper::get_terms( 'category' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_categroy_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_scat_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_scat_order',
	'label'       => esc_html__( 'Order By', 'anews' ),
	'section'     => 'anews_home_category_section',
	'default'     => 'ASC',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'ASC'  => esc_html__( 'ASC', 'anews' ),
        'DESE' => esc_html__( 'DESE', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_categroy_enalbe',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_scat_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'background',
	'settings'    => 'anews_home_category_bg',
	'label'       => esc_html__( 'Background Color', 'anews' ),
	'description' => esc_html__( 'Add Background for Category Section', 'anews' ),
	'section'     => 'anews_home_category_section',
	'default'     => [
		'background-color' => '#f6f6f6',
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_categroy_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
	'output'    => [
		[
			'element' => '.anews-category-post-wrapper',
		],
	],
] );

// POST ITEMS SECTION 
Kirki::add_section( 'anews_home_post_list_section', array(
    'title'          => esc_html__( 'Post Box Section', 'anews' ),
    'description'    => esc_html__( 'Add Post Box Options Here', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_post_list_enable',
	'label'       => esc_html__( 'Enable This Section', 'anews' ),
	'section'     => 'anews_home_post_list_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'repeater',
	'label'       => esc_html__( 'Post Control', 'anews' ),
	'section'     => 'anews_home_post_list_section',
	'priority'    => 10,
	'row_label' => [
		'type'  => 'anews_home_ibox_title',
		'value' => esc_html__( 'Item Box List', 'anews' ),
	],
	'button_label' => esc_html__('Add Items', 'anews' ),
	'settings'     => 'anews_home_post_bx_settings',
	'active_callback' => [
		[
			'setting'  => 'anews_home_post_list_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
	'fields' => [
		'anews_home_ibox_title' => [
			'type'        => 'text',
			'label'       => esc_html__( 'Add Box Title', 'anews' ),
			'description' => esc_html__( 'Add Post Box Title Here', 'anews' ),
			'default'     => esc_html__( 'Trending', 'anews' ),
		],
		'anews_home_ibox_cat_show' => [
			'type'    => 'checkbox',
			'label'   => esc_html__( 'Post By Category', 'anews' ),
			'default' => false,
		],
		'anews_home_ibox_cat' => [
			'type'        => 'select',
			'label'       => esc_html__( 'Select Category', 'anews' ),
			'placeholder' => esc_html__( 'Select an option...', 'anews' ),
			'priority'    => 10,
			'choices'     => Kirki_Helper::get_terms( 'category' ),
		],
		'anews_home_ibox_orderby' =>[
			'type'        => 'select',
			'label'       => esc_html__( 'Order By', 'anews' ),
			'placeholder' => esc_html__( 'Select an option...', 'anews' ),
			'priority'    => 10,
			'choices'     => [
				'ASC'  => esc_html__( 'ASC', 'anews' ),
				'DESE' => esc_html__( 'DESE', 'anews' ),
			]
		],
		'anews_home_ibox_readmore'  => [
			'type'        => 'url',
			'label'       => esc_html__( 'Read More Llnk', 'anews' ),
			'description' => esc_html__( 'Add Red More Link Here', 'anews' ),
			'default'     => '#',
		],
	],
	'choices' => [
		'limit' => 3
	],
] );

// Subscribe section
Kirki::add_section( 'anews_home_subcribe_section', array(
    'title'          => esc_html__( 'Subscribe Section', 'anews' ),
    'description'    => esc_html__( 'Add Content on Subscribe Options Here', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_subscribe_enable',
	'label'       => esc_html__( 'Enable This Section', 'anews' ),
	'section'     => 'anews_home_subcribe_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_subscribe_title',
    'label'    => esc_html__( 'Subscribe Title', 'anews' ),
	'description'    => esc_html__( 'Add Subscribe Title Here', 'anews' ),
	'section'  => 'anews_home_subcribe_section',
    'default'     => esc_html__( 'Lets Join With Our Subscriber Gang', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_subscribe_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_subscribe_link',
    'label'    => esc_html__( 'Subscribe Link', 'anews' ),
	'description'    => esc_html__( 'Add Subscribe Link Here(contact me if you need help)', 'anews' ),
	'section'  => 'anews_home_subcribe_section',
    'default'     => '#',
	'active_callback' => [
		[
			'setting'  => 'anews_home_subscribe_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'background',
	'settings'    => 'anews_home_subcribe_bg',
	'label'       => esc_html__( 'Background Color', 'anews' ),
	'description' => esc_html__( 'Add Background for Subscribe Section', 'anews' ),
	'section'     => 'anews_home_subcribe_section',
	'default'     => [
		'background-color' => '#f6f6f6',
		'background-image' => get_template_directory_uri().'/assets/image/subscribe.jpg',
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_subscribe_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
	'output'    => [
		[
			'element' => '.anews-subscribe-inner',
		],
	],
] );

Kirki::add_section( 'anews_home_recent_post_section', array(
    'title'          => esc_html__( 'Recent Post with Follow Us Section', 'anews' ),
    'description'    => esc_html__( 'Add Content on Recent Post with Follow Us Section', 'anews' ),
    'panel'          => 'anews_homepage_panel',
    'priority'       => 10,
) );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_home_recent_post_enable',
	'label'       => esc_html__( 'Enable This Section', 'anews' ),
	'section'     => 'anews_home_recent_post_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_recent_post_title',
    'label'    => esc_html__( 'Recent Post Title', 'anews' ),
	'description'    => esc_html__( 'Add Recent Post Title Title Here', 'anews' ),
	'section'  => 'anews_home_recent_post_section',
    'default'     => esc_html__( 'Recent Post', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'Checkbox',
	'settings'    => 'anews_home_rpc_show',
	'label'       => esc_html__( 'Post By Category', 'anews' ),
	'description'    => esc_html__( 'Select Check box if you show post by category', 'anews' ),
	'section'     => 'anews_home_recent_post_section',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_recent_post_cat',
	'label'       => esc_html__( 'Select Category', 'anews' ),
	'section'     => 'anews_home_recent_post_section',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'multiple'    => 2,
	'choices'     => Kirki_Helper::get_terms( 'category' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_rpc_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_recent_post_order',
	'label'       => esc_html__( 'Order By', 'anews' ),
	'section'     => 'anews_home_recent_post_section',
	'default'     => 'ASC',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'ASC'  => esc_html__( 'ASC', 'anews' ),
        'DESE' => esc_html__( 'DESE', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_rpc_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_header_tophr7',
	'section'     => 'anews_home_recent_post_section',
	'default'     => '<hr>',
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'checkbox',
	'settings'    => 'anews_home_recent_post_link_show',
	'label'       => esc_html__( 'Show Read More', 'anews' ),
	'description' => esc_html__( 'Enable Read More button if you need', 'anews' ),
	'section'     => 'anews_home_recent_post_section',
	'default'     => true,
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_recent_post_link',
    'label'    => esc_html__( 'Read More Link', 'anews' ),
	'description'    => esc_html__( 'Add Add Read More Link', 'anews' ),
	'section'  => 'anews_home_recent_post_section',
    'default'     => '#',
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_recent_post_link_show',
			'operator' => '==',
			'value'    => true,
		],
		
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_header_tophr8',
	'section'     => 'anews_home_recent_post_section',
	'default'         => '<h4 style="padding:15px 10px; background:#fff; margin:0;">' . __( 'Social Follow Us Section', 'anews' ) . '</h4>',
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_home_followus_title',
    'label'    => esc_html__( 'Follow Us Title', 'anews' ),
	'description'    => esc_html__( 'Add Follow Us Title Here', 'anews' ),
	'section'  => 'anews_home_recent_post_section',
    'default'     => esc_html__( 'Follow Us', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'repeater',
	'label'       => esc_html__( 'Social Info', 'anews' ),
	'section'     => 'anews_home_recent_post_section',
	'priority'    => 10,
	'row_label' => [
		'type'  => 'anews_home_sfollow_url',
		'value' => esc_html__( 'Add Social Info', 'anews' ),
	],
	'button_label' => esc_html__('Add Items', 'anews' ),
	'settings'     => 'anews_home_sfollow_settings',
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
	'fields' => [
		'anews_home_sfollow_url' => [
			'type'        => 'url',
			'label'       => esc_html__( 'Add Link', 'anews' ),
			'description' => esc_html__( 'Add Social Followe Us Link Here', 'anews' ),
			'default'     => '#',
		],
		
		'anews_home_sfollow_icon' =>[
			'type'        => 'select',
			'label'       => esc_html__( 'Select Icon', 'anews' ),
			'placeholder' => esc_html__( 'Select an option...', 'anews' ),
			'priority'    => 10,
			'default'     => 'fa-facebook-f',
			'choices'     => [
				'fa-facebook-f'  => esc_html__( 'Facebook', 'anews' ),
				'fa-twitter'  => esc_html__( 'Twitter', 'anews' ),
				'fa-linkedin-in'  => esc_html__( 'Linkedin', 'anews' ),
				'fa-instagram'  => esc_html__( 'Instagram', 'anews' ),
				'fa-pinterest'  => esc_html__( 'Pinterest', 'anews' ),
				'fa-vimeo-v'  => esc_html__( 'Vimeo', 'anews' ),
				'fa-google-plus-g'  => esc_html__( 'Google Plus', 'anews' ),
			],
		],
		'anews_home_sfollow_number' => [
			'type'        => 'text',
			'label'       => esc_html__( 'Social Number', 'anews' ),
			'description' => esc_html__( 'Add Social Followe Us Number Here', 'anews' ),
			'default'     => esc_html__( '10M', 'anews' ),
		],
		'anews_home_sfollow_text' => [
			'type'        => 'text',
			'label'       => esc_html__( 'Follower Text', 'anews' ),
			'description' => esc_html__( 'Add Followe Us Text Here', 'anews' ),
			'default'     => esc_html__( 'Follower', 'anews' ),
		],
		'anews_home_sfollow_color' => [
			'type'        => 'color',
			'label'       => __( 'Background Color', 'anews' ),
			'description' => esc_html__( 'Add Color for background', 'anews' ),
			'choices'     => [
				'alpha' => true,
			],
		],
		
	],
	'choices' => [
		'limit' => 6
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_header_tophr9',
	'section'     => 'anews_home_recent_post_section',
	'default'         => '<h4 style="padding:15px 10px; background:#fff; margin:0;">' . __( 'Ads Banner Section', 'anews' ) . '</h4>',
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_home_ads2_select',
	'label'       => esc_html__( 'Select Ads Options', 'anews' ),
	'section'     => 'anews_home_recent_post_section',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'link' => esc_html__( 'Ads Link', 'anews' ),
		'code' => esc_html__( 'Ads Code', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'image',
	'settings'    => 'anews_home_ads2_img',
	'label'       => esc_html__( 'Upload Image', 'anews' ),
	'description' => esc_html__( 'Upload image for Ads Banner Here.', 'anews' ),
	'section'     => 'anews_home_recent_post_section',
	'default'     => '',
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_ads2_select',
			'operator' => '==',
			'value'    => 'link',
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_home_ads2_link',
	'label'    => esc_html__( 'Ads URL', 'anews' ),
	'section'  => 'anews_home_recent_post_section',
	'default'  => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_ads2_select',
			'operator' => '==',
			'value'    => 'link',
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'code',
	'settings'    => 'anews_home_ads2_code',
	'label'       => esc_html__( 'Ads Code', 'anews' ),
	'description' => esc_html__( 'Add Ads Code Here', 'anews' ),
	'section'     => 'anews_home_recent_post_section',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_home_recent_post_enable',
			'operator' => '==',
			'value'    => true,
		],
		[
			'setting'  => 'anews_home_ads2_select',
			'operator' => '==',
			'value'    => 'code',
		]
	],
] );

// Theme Options Panel 
Kirki::add_panel( 'anews_theme_options_panel', array(
    'priority'    => 50,
    'title'       => esc_html__( 'Theme Options', 'anews' ),
    'description' => esc_html__( 'Add Content for Theme Options', 'anews' ),
) );

Kirki::add_section( 'anews_theme_options_header', array(
    'title'          => esc_html__( 'Header Options', 'anews' ),
    'description'    => esc_html__( 'Add Content For Header', 'anews' ),
    'panel'          => 'anews_theme_options_panel',
    'priority'       => 10,
) );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_tmop_header_select_ads',
	'label'       => esc_html__( 'Select Ads Options', 'anews' ),
	'section'     => 'anews_theme_options_header',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'link' => esc_html__( 'Ads Link', 'anews' ),
		'code' => esc_html__( 'Ads Code', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'image',
	'settings'    => 'anews_tmop_header_ads_img',
	'label'       => esc_html__( 'Upload Image', 'anews' ),
	'description' => esc_html__( 'Upload image for Ads Banner Here.', 'anews' ),
	'section'     => 'anews_theme_options_header',
	'default'     => '',
	'active_callback' => [
		[
			'setting'  => 'anews_tmop_header_select_ads',
			'operator' => '==',
			'value'    => 'link',
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_tmop_header_ads_link',
	'label'    => esc_html__( 'Ads URL', 'anews' ),
	'section'  => 'anews_theme_options_header',
	'default'  => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_tmop_header_select_ads',
			'operator' => '==',
			'value'    => 'link',
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'code',
	'settings'    => 'anews_tmop_header_ads_code',
	'label'       => esc_html__( 'Ads Code', 'anews' ),
	'description' => esc_html__( 'Add Ads Code Here', 'anews' ),
	'section'     => 'anews_theme_options_header',
	'default'     => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_tmop_header_select_ads',
			'operator' => '==',
			'value'    => 'code',
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'checkbox',
	'settings'    => 'anews_tmop_header_date_show',
	'label'       => esc_html__( 'Enable Date', 'anews' ),
	'description' => esc_html__( 'Enable Header Date Options', 'anews' ),
	'section'     => 'anews_theme_options_header',
	'default'     => false,
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'checkbox',
	'settings'    => 'anews_tmop_header_search_show',
	'label'       => esc_html__( 'Enable Search Box', 'anews' ),
	'description' => esc_html__( 'Enable Header Search box Options', 'anews' ),
	'section'     => 'anews_theme_options_header',
	'default'     => false,
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'background',
	'settings'    => 'anews_tmop_header_menu_bg',
	'label'       => esc_html__( 'Menu Background Color', 'anews' ),
	'description' => esc_html__( 'Add Background for Menu Section', 'anews' ),
	'section'     => 'anews_theme_options_header',
	'default'     => [
		'background-color' => '#fb2614',
	],
	'output'    => [
		[
			'element' => '.navbar-area',
		],
	],
] );

Kirki::add_section( 'anews_theme_options_news_ticker', array(
    'title'          => esc_html__( 'News ticker', 'anews' ),
    'description'    => esc_html__( 'Select Options for News ticker', 'anews' ),
    'panel'          => 'anews_theme_options_panel',
    'priority'       => 10,
) );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'checkbox',
	'settings'    => 'anews_teop_news_ticker_show',
	'label'       => esc_html__( 'Enable News ticker', 'anews' ),
	'description' => esc_html__( 'Enable News ticker Options', 'anews' ),
	'section'     => 'anews_theme_options_news_ticker',
	'default'     => false,
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'text',
	'settings'    => 'anews_teop_news_ticker_tile',
    'label'    => esc_html__( 'News ticker Title', 'anews' ),
	'description'    => esc_html__( 'Add News ticker Title Here', 'anews' ),
	'section'  => 'anews_theme_options_news_ticker',
    'default'     => esc_html__( 'Trending News:', 'anews' ),
	'active_callback' => [
		[
			'setting'  => 'anews_teop_news_ticker_show',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

Kirki::add_section( 'anews_theme_options_typo', array(
    'title'          => esc_html__( 'Typography', 'anews' ),
    'description'    => esc_html__( 'Select Options for Typography', 'anews' ),
    'panel'          => 'anews_theme_options_panel',
    'priority'       => 10,
) );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'typography',
	'settings'    => 'anews_body_typo',
	'label'       => esc_html__( 'Body Typography', 'anews' ),
	'section'     => 'anews_theme_options_typo',
	'default'     => [
		'font-family'    => 'Work Sans',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'line-height'    => '23px',
		'letter-spacing' => '0',
		'color'          => '#636465',
		'text-transform' => 'none',
	],
	'priority'    => 10,
	'choices'       => [
        'fonts' =>  [
            'google'    =>  [ 'popularity', 50 ],
            'standard'  =>  [ 'sans-serif' ],
        ]
    ],
	'output'      => [
		[
			'element' => 'body',
		],
	],
] );
Kirki::add_field( 'anews_theme_config', array(
    'label' =>  esc_html__( 'H1 typography', 'anews' ),
    'type'  =>  'typography',
    'settings'  => 'anews_hadding_typo',
    'section'   =>  'anews_theme_options_typo',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '0',
		'color'          => '',
		'text-transform' => 'none',
	],
    'choices'       => [
        'variant' => array(
            'regular',
            '300',
            '500',
            '600',
            '700',
            '900',
        ),
        'fonts' =>  [
            'google'    =>  [ 
                'Epilogue', 
                'Poppins', 
                'Titillium Web',
                'Mukta',
                'Lato', 
                'Oswald',
                'Hind Siliguri',
                'Montserrat',
                'Raleway',
                'PT Sans',
                'Roboto', 
                'Open Sans',
                'Noto Serif', 
                'Noto Sans',
            ],
            'standard'  =>  [ 'sans-serif' ],
        ]
    ],
    'transport'     =>  'auto',
    'output'        =>  [
        [
            'element'   =>  'h1'
        ],
    ],
) );
Kirki::add_field( 'anews_theme_config', array(
    'label' =>  esc_html__( 'H2 typography', 'anews' ),
    'type'  =>  'typography',
    'settings'  => 'anews_hadding2_typo',
    'section'   =>  'anews_theme_options_typo',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '0',
		'color'          => '',
		'text-transform' => 'none',
	],
    'choices'       => [
        'variant' => array(
            'regular',
            '300',
            '500',
            '600',
            '700',
            '900',
        ),
        'fonts' =>  [
            'google'    =>  [ 
                'Epilogue', 
                'Poppins', 
                'Titillium Web',
                'Mukta',
                'Lato', 
                'Oswald',
                'Hind Siliguri',
                'Montserrat',
                'Raleway',
                'PT Sans',
                'Roboto', 
                'Open Sans',
                'Noto Serif', 
                'Noto Sans',
            ],
            'standard'  =>  [ 'sans-serif' ],
        ]
    ],
    'transport'     =>  'auto',
    'output'        =>  [
        [
            'element'   =>  'h2,.section-title'
        ],
    ],
) );
Kirki::add_field( 'anews_theme_config', array(
    'label' =>  esc_html__( 'H3 typography', 'anews' ),
    'type'  =>  'typography',
    'settings'  => 'anews_hadding3_typo',
    'section'   =>  'anews_theme_options_typo',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '0',
		'color'          => '',
		'text-transform' => 'none',
	],
    'choices'       => [
        'variant' => array(
            'regular',
            '300',
            '500',
            '600',
            '700',
            '900',
        ),
        'fonts' =>  [
            'google'    =>  [ 
                'Epilogue', 
                'Poppins', 
                'Titillium Web',
                'Mukta',
                'Lato', 
                'Oswald',
                'Hind Siliguri',
                'Montserrat',
                'Raleway',
                'PT Sans',
                'Roboto', 
                'Open Sans',
                'Noto Serif', 
                'Noto Sans',
            ],
            'standard'  =>  [ 'sans-serif' ],
        ]
    ],
    'transport'     =>  'auto',
    'output'        =>  [
        [
            'element'   =>  'h3'
        ],
    ],
) );
Kirki::add_field( 'anews_theme_config', array(
    'label' =>  esc_html__( 'H4 typography', 'anews' ),
    'type'  =>  'typography',
    'settings'  => 'anews_hadding4_typo',
    'section'   =>  'anews_theme_options_typo',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '0',
		'color'          => '',
		'text-transform' => 'none',
	],
    'choices'       => [
        'variant' => array(
            'regular',
            '300',
            '500',
            '600',
            '700',
            '900',
        ),
        'fonts' =>  [
            'google'    =>  [ 
                'Epilogue', 
                'Poppins', 
                'Titillium Web',
                'Mukta',
                'Lato', 
                'Oswald',
                'Hind Siliguri',
                'Montserrat',
                'Raleway',
                'PT Sans',
                'Roboto', 
                'Open Sans',
                'Noto Serif', 
                'Noto Sans',
            ],
            'standard'  =>  [ 'sans-serif' ],
        ]
    ],
    'transport'     =>  'auto',
    'output'        =>  [
        [
            'element'   =>  'h4'
        ],
    ],
) );
Kirki::add_field( 'anews_theme_config', array(
    'label' =>  esc_html__( 'H5 typography', 'anews' ),
    'type'  =>  'typography',
    'settings'  => 'anews_hadding5_typo',
    'section'   =>  'anews_theme_options_typo',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '0',
		'color'          => '',
		'text-transform' => 'none',
	],
    'choices'       => [
        'variant' => array(
            'regular',
            '300',
            '500',
            '600',
            '700',
            '900',
        ),
        'fonts' =>  [
            'google'    =>  [ 
                'Epilogue', 
                'Poppins', 
                'Titillium Web',
                'Mukta',
                'Lato', 
                'Oswald',
                'Hind Siliguri',
                'Montserrat',
                'Raleway',
                'PT Sans',
                'Roboto', 
                'Open Sans',
                'Noto Serif', 
                'Noto Sans',
            ],
            'standard'  =>  [ 'sans-serif' ],
        ]
    ],
    'transport'     =>  'auto',
    'output'        =>  [
        [
            'element'   =>  'h5'
        ],
    ],
) );
Kirki::add_field( 'anews_theme_config', array(
    'label' =>  esc_html__( 'H6 typography', 'anews' ),
    'type'  =>  'typography',
    'settings'  => 'anews_hadding6_typo',
    'section'   =>  'anews_theme_options_typo',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '0',
		'color'          => '',
		'text-transform' => 'none',
	],
    'choices'       => [
        'variant' => array(
            'regular',
            '300',
            '500',
            '600',
            '700',
            '900',
        ),
        'fonts' =>  [
            'google'    =>  [ 
                'Epilogue', 
                'Poppins', 
                'Titillium Web',
                'Mukta',
                'Lato', 
                'Oswald',
                'Hind Siliguri',
                'Montserrat',
                'Raleway',
                'PT Sans',
                'Roboto', 
                'Open Sans',
                'Noto Serif', 
                'Noto Sans',
            ],
            'standard'  =>  [ 'sans-serif' ],
        ]
    ],
    'transport'     =>  'auto',
    'output'        =>  [
        [
            'element'   =>  'h6'
        ],
    ],
) );
Kirki::add_section( 'anews_theme_page_layout', array(
    'title'          => esc_html__( 'Layout Options', 'anews' ),
    'description'    => esc_html__( 'Select Layout Here', 'anews' ),
    'panel'          => 'anews_theme_options_panel',
    'priority'       => 10,
) );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'radio-image',
	'settings'    => 'anews_blog_layout',
	'label'       => esc_html__( 'Blog Page Layout', 'anews' ),
	'section'     => 'anews_theme_page_layout',
	'default'     => 'right',
	'priority'    => 10,
	'choices'     => [
		'left'   => esc_url(get_template_directory_uri()) . '/assets/image/left.png',
		'center' => esc_url(get_template_directory_uri()) . '/assets/image/center.png',
		'right'  => esc_url(get_template_directory_uri()) . '/assets/image/right.png',
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'radio-image',
	'settings'    => 'anews_page_layout',
	'label'       => esc_html__( 'Page Layout', 'anews' ),
	'section'     => 'anews_theme_page_layout',
	'default'     => 'center',
	'priority'    => 10,
	'choices'     => [
		'left'   => esc_url(get_template_directory_uri()) . '/assets/image/left.png',
		'center' => esc_url(get_template_directory_uri()) . '/assets/image/center.png',
		'right'  => esc_url(get_template_directory_uri()) . '/assets/image/right.png',
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'radio-image',
	'settings'    => 'anews_single_layout',
	'label'       => esc_html__( 'Single Post Layout', 'anews' ),
	'section'     => 'anews_theme_page_layout',
	'default'     => 'right',
	'priority'    => 10,
	'choices'     => [
		'left'   => esc_url(get_template_directory_uri()) . '/assets/image/left.png',
		'center' => esc_url(get_template_directory_uri()) . '/assets/image/center.png',
		'right'  => esc_url(get_template_directory_uri()) . '/assets/image/right.png',
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'radio-image',
	'settings'    => 'anews_archiv_layout',
	'label'       => esc_html__( 'Archive Page Layout', 'anews' ),
	'section'     => 'anews_theme_page_layout',
	'default'     => 'right',
	'priority'    => 10,
	'choices'     => [
		'left'   => esc_url(get_template_directory_uri()) . '/assets/image/left.png',
		'center' => esc_url(get_template_directory_uri()) . '/assets/image/center.png',
		'right'  => esc_url(get_template_directory_uri()) . '/assets/image/right.png',
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'radio-image',
	'settings'    => 'anews_search_layout',
	'label'       => esc_html__( 'Search page Layout', 'anews' ),
	'section'     => 'anews_theme_page_layout',
	'default'     => 'right',
	'priority'    => 10,
	'choices'     => [
		'left'   => esc_url(get_template_directory_uri()) . '/assets/image/left.png',
		'center' => esc_url(get_template_directory_uri()) . '/assets/image/center.png',
		'right'  => esc_url(get_template_directory_uri()) . '/assets/image/right.png',
	],
] );

Kirki::add_section( 'anews_theme_single_post_options', array(
    'title'          => esc_html__( 'Single Post Options', 'anews' ),
    'description'    => esc_html__( 'Add Contnet on Single Post', 'anews' ),
    'panel'          => 'anews_theme_options_panel',
    'priority'       => 10,
) );

Kirki::add_section( 'anews_theme_error_options', array(
    'title'          => esc_html__( '404 Options', 'anews' ),
    'description'    => esc_html__( 'Add Content On 404 Page', 'anews' ),
    'panel'          => 'anews_theme_options_panel',
    'priority'       => 10,
) );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'editor',
	'settings'    => 'anews_error_content',
	'label'       => esc_html__( 'Error Content', 'anews' ),
	'description' => esc_html__( 'Add Content For Error Page', 'anews' ),
	'section'     => 'anews_theme_error_options',
	'default'     => wp_kses(
		__( '<h2> Oops! page not found.</h2><p>The page you are looking for is not available or does not belong to this website!</p>', 'anews' ),
		array(
			'a'      => array(
				'href' => array(),
			),
			'strong' => array(),
			'small'  => array(),
			'span'   => array(),
			'p'      => array(),
			'h1'     => array(),
			'h2'     => array(),
			'h3'     => array(),
			'h4'     => array(),
			'h5'     => array(),
			'h6'     => array(),
		)
	),
] );

Kirki::add_section( 'anews_theme_single_post_options', array(
    'title'          => esc_html__( 'Single Post Options', 'anews' ),
    'description'    => esc_html__( 'Add Content For Single Post', 'anews' ),
    'panel'          => 'anews_theme_options_panel',
    'priority'       => 10,
) );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_related_postss',
	'section'     => 'anews_theme_single_post_options',
	'default'     => '<h4 style="padding:15px 10px; background:#fff; margin:0;">' . __( 'Related Post', 'anews' ) . '</h4>',
] );
Kirki::add_field( 'anews_theme_config',[
	'type'        => 'switch',
	'settings'    => 'anews_single_post_share',
	'label'       => esc_html__( 'Enable Share Icon', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => 'off',
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
]);
Kirki::add_field( 'anews_theme_config',[
	'type'        => 'switch',
	'settings'    => 'anews_single_related_post',
	'label'       => esc_html__( 'Enable Related Post', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => 'off',
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
]);

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_ads_c1',
	'section'     => 'anews_theme_single_post_options',
	'default'     => '<h4 style="padding:15px 10px; background:#fff; margin:0;">' . __( 'Ads Banner One', 'anews' ) . '</h4>',
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_single_ads1_enalbe',
	'label'       => esc_html__( 'Enable Banner One', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_single_ads1_select',
	'label'       => esc_html__( 'Select Ads One Options', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => 'link',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'link' => esc_html__( 'Ads Link', 'anews' ),
		'code' => esc_html__( 'Ads Code', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads1_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'image',
	'settings'    => 'anews_single_ads1_img',
	'label'       => esc_html__( 'Upload Image', 'anews' ),
	'description' => esc_html__( 'Upload image for Ads One Banner Here.', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => '',
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads1_select',
			'operator' => '==',
			'value'    => 'link',
		],
		[
			'setting'  => 'anews_single_ads1_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_single_ads1_link',
	'label'    => esc_html__( 'Ads URL', 'anews' ),
	'section'  => 'anews_theme_single_post_options',
	'default'  => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads1_select',
			'operator' => '==',
			'value'    => 'link',
		],
		[
			'setting'  => 'anews_single_ads1_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'code',
	'settings'    => 'anews_single_ads1_code',
	'label'       => esc_html__( 'Ads Code', 'anews' ),
	'description' => esc_html__( 'Add Ads Code Here', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads1_select',
			'operator' => '==',
			'value'    => 'code',
		],
		[
			'setting'  => 'anews_single_ads1_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_ads_c2',
	'section'     => 'anews_theme_single_post_options',
	'default'     => '<h4 style="padding:15px 10px; background:#fff; margin:0;">' . __( 'Ads Banner Two', 'anews' ) . '</h4>',
] );
Kirki::add_field( 'anews_theme_config',[
	'type'        => 'switch',
	'settings'    => 'anews_single_ads2_enalbe',
	'label'       => esc_html__( 'Enable Ads Two', 'anews' ),
	'description' => esc_html__( 'Enable Single Ads One if you need', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => 'off',
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
]);
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_single_ads2_select',
	'label'       => esc_html__( 'Select Ads Two Options', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => 'link',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'link' => esc_html__( 'Ads Link', 'anews' ),
		'code' => esc_html__( 'Ads Code', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads2_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'image',
	'settings'    => 'anews_single_ads2_img',
	'label'       => esc_html__( 'Upload Image', 'anews' ),
	'description' => esc_html__( 'Upload image for Ads One Banner Here.', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => '',
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads2_select',
			'operator' => '==',
			'value'    => 'link',
		],
		[
			'setting'  => 'anews_single_ads2_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_single_ads2_link',
	'label'    => esc_html__( 'Ads URL', 'anews' ),
	'section'  => 'anews_theme_single_post_options',
	'default'  => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads2_select',
			'operator' => '==',
			'value'    => 'link',
		],
		[
			'setting'  => 'anews_single_ads2_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'code',
	'settings'    => 'anews_single_ads2_code',
	'label'       => esc_html__( 'Ads Code', 'anews' ),
	'description' => esc_html__( 'Add Ads Code Here', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads2_select',
			'operator' => '==',
			'value'    => 'code',
		],
		[
			'setting'  => 'anews_single_ads2_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'custom',
	'settings'    => 'anews_ads_c3',
	'section'     => 'anews_theme_single_post_options',
	'default'     => '<h4 style="padding:15px 10px; background:#fff; margin:0;">' . __( 'Ads Banner Three', 'anews' ) . '</h4>',
] );
Kirki::add_field( 'anews_theme_config',[
	'type'        => 'switch',
	'settings'    => 'anews_single_ads3_enalbe',
	'label'       => esc_html__( 'Enable Ads Three', 'anews' ),
	'description' => esc_html__( 'Enable Single Ads One if you need', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => 'off',
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
]);
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'select',
	'settings'    => 'anews_single_ads3_select',
	'label'       => esc_html__( 'Select Ads Three Options', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => 'link',
	'placeholder' => esc_html__( 'Select an option...', 'anews' ),
	'priority'    => 10,
	'choices'     => [
		'link' => esc_html__( 'Ads Link', 'anews' ),
		'code' => esc_html__( 'Ads Code', 'anews' ),
	],
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads3_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'image',
	'settings'    => 'anews_single_ads3_img',
	'label'       => esc_html__( 'Upload Image', 'anews' ),
	'description' => esc_html__( 'Upload image for Ads One Banner Here.', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => '',
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads3_select',
			'operator' => '==',
			'value'    => 'link',
		],
		[
			'setting'  => 'anews_single_ads3_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'link',
	'settings' => 'anews_single_ads3_link',
	'label'    => esc_html__( 'Ads URL', 'anews' ),
	'section'  => 'anews_theme_single_post_options',
	'default'  => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads3_select',
			'operator' => '==',
			'value'    => 'link',
		],
		[
			'setting'  => 'anews_single_ads3_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

Kirki::add_field( 'anews_theme_config', [
	'type'        => 'code',
	'settings'    => 'anews_single_ads3_code',
	'label'       => esc_html__( 'Ads Code', 'anews' ),
	'description' => esc_html__( 'Add Ads Code Here', 'anews' ),
	'section'     => 'anews_theme_single_post_options',
	'default'     => '',
	'priority' => 10,
	'active_callback' => [
		[
			'setting'  => 'anews_single_ads3_select',
			'operator' => '==',
			'value'    => 'code',
		],
		[
			'setting'  => 'anews_single_ads3_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

Kirki::add_section( 'anews_theme_footer_options', array(
    'title'          => esc_html__( 'Footer Options', 'anews' ),
    'description'    => esc_html__( 'Add Content On Footer', 'anews' ),
    'panel'          => 'anews_theme_options_panel',
    'priority'       => 10,
) );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'switch',
	'settings'    => 'anews_footer_top_enalbe',
	'label'       => esc_html__( 'Enable Footer Top', 'anews' ),
	'section'     => 'anews_theme_footer_options',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'anews' ),
		'off' => esc_html__( 'Disable', 'anews' ),
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'        => 'repeater',
	'label'       => esc_attr__( 'Instagram Image', 'anews' ),
	'section'     => 'anews_theme_footer_options',
	'priority'    => 10,
	'row_label' => [
		'type'  => 'field',
		'value' => esc_html__( 'Instagram Items', 'anews' ),
		'field' => 'anews_footer_top_url',
	],
	'settings'    => 'anews_footer_tops',
	'fields' => [
		
		'anews_footer_top_img' => [
			'type'        => 'image',
			'label'       => esc_attr__( 'Upload Image', 'anews' ),
			'description' => esc_attr__( 'Upload Instagram Image Here', 'anews' ),
			'choices'     => [
				'save_as' => 'array',
			],
		],
		'anews_footer_top_url' => [
			'type'        => 'text',
			'label'       => esc_attr__( 'Add Link', 'anews' ),
			'description' => esc_attr__( 'Add Instagram Post Link Here', 'anews' ),
		],
	],
	'choices' => [
		'limit' => 6
	],
	'active_callback' => [
		[
			'setting'  => 'anews_footer_top_enalbe',
			'operator' => '==',
			'value'    => true,
		]
	],
] );
Kirki::add_field( 'anews_theme_config', [
	'type'     => 'text',
	'settings' => 'anews_copyright_text',
	'label'    => esc_html__( 'Copyright Text', 'anews' ),
	'section'  => 'anews_theme_footer_options',
	'default'  => esc_html__( 'Copyright © All rights reserved.', 'anews' ),
	'priority' => 10,
] );