<div class="anews-post-slide-with-feature-wrapper pt-80">
    <div class="container">
        <div class="row">
            <div class="col-12 col-sm-12 col-md-12 col-lg-6">
                <div class="anews-home-post-slider-area">
                    <div class="section-title"><?php echo esc_html(get_theme_mod('anews_home_slider_post_title','News Slide' )); ?>
                    </div>
                    <?php
                    if( true == get_theme_mod( 'anews_home_slider_show' ) ) {
                        $p = new \WP_Query( array( 
                            'posts_per_page' => 4,
                            'post_type' => 'post',
                            'order' => esc_attr(get_theme_mod( 'anews_home_slider_order' )),
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'category',
                                    'field' => 'term_id',
                                    'terms' => get_theme_mod( 'anews_home_slider_cat' ),
                                )
                            ),
                        ));
                    }else{
                        $p = new \WP_Query( array( 
                            'posts_per_page' => 4,
                            'post_type' => 'post',
                            'order' => 'ASC'
                        ));
                    }?>
                    <div class="anews-post-slider-items home-post-slider owl-carousel owl-theme">
                        <?php while ( $p->have_posts() ): $p->the_post(); ?>
                        <div class="anews-home-post-single">
                            <div class="anews-home-post-img">
                                <?php the_post_thumbnail('full', array('class' => 'img-responsive tranding-two')); ?>
                                <div class="anews-home-post-single-content color2">
                                    <div class="anews-home-post-meta">
                                        <?php anews_post_cat(); ?>
                                    </div>
                                    <h2><a href="<?php echo esc_url(the_permalink()); ?>"><?php the_title(); ?></a></h2>
                                    <div class="anews-author-post-meta">
                                        <div class="anews-author-post-img">
                                            <?php echo get_avatar( get_the_author_meta( 'ID' )); ?>
                                        </div>
                                        <div class="anews-author-post-name">
                                            <h2><?php echo esc_html(get_the_author()); ?></h2>
                                            <span><?php echo esc_html(get_the_date( 'd M, Y', $post->ID )); ?></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endwhile; wp_reset_query();?>
                    </div>
                </div>
            </div>
            <div class="col-12 col-sm-12 col-md-12 col-lg-6">
                <div class="section-title d-flex justify-content-between">
                    <?php echo esc_html(get_theme_mod('anews_home_featured_post_title','Featured Post' )); ?>
                   <?php if( true == get_theme_mod( 'anews_home_featured_show_readmore', true )) : ?> 
                    <a href="<?php echo esc_url(get_theme_mod( 'anews_home_featured_readmore' )); ?>"><?php esc_html_e('View More','anews'); ?> <i class="fas fa-angle-double-right"></i></a>
                    <?php endif; ?>
                </div>
                <div class="row">
                    <?php
                    $p = new \WP_Query( array( 
                        'posts_per_page' => 2,
                        'post_type' => 'post',
                        'post__in'=> get_theme_mod( 'anews_home_feature_id' ),
                    ));
                    ?>
                    <?php while ( $p->have_posts() ): $p->the_post(); ?>
                    <div class="col-12 col-sm-6 col-md-6 col-lg-6">
                        <div class="anews-feature-items-area">
                            <div class="anews-home-post-single">
                                <div class="anews-home-post-img">
                                    <?php the_post_thumbnail('full', array('class' => 'img-responsive tranding-two')); ?>
                                    <div class="anews-home-post-single-content color3">
                                        <div class="anews-home-post-meta">
                                            <?php anews_post_cat(); ?>
                                        </div>
                                        <h2><a href="<?php echo esc_url(the_permalink()); ?>"><?php the_title(); ?></a></h2>
                                        <div class="anews-author-post-meta">
                                            <div class="anews-author-post-img">
                                                <?php echo get_avatar( get_the_author_meta( 'ID' )); ?>
                                            </div>
                                            <div class="anews-author-post-name">
                                                <h2><?php echo esc_html(get_the_author()); ?></h2>
                                                <span><?php echo esc_html(get_the_date( 'd M, Y', $post->ID )); ?></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; wp_reset_query();?>
                </div>
            </div>
        </div>
    </div>
</div>